<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This is class renders responses and forms based on the values from a module.
 *
 * @package    OSB
 * @subpackage Utilities
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class StaticList_Module extends StaticListModule {
	protected function table($module=NULL) {
		if (is_null($module))
			throw new Kohana_Exception('Module is a required attribute.');
	}

	public static function factory() {
		return new StaticList_Module;
	}
}
?>
